Return.cumulative {PerformanceAnalytics} | R Documentation

## calculate a compounded (geometric) cumulative return

### Description

This is a useful function for calculating cumulative return over a period of time, say a calendar year. Can produce simple or geometric return.

### Usage

    Return.cumulative(R, geometric = TRUE)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE

### Details

product of all the individual period returns

prod(1+R)-1

### Author(s)

Peter Carl

### References

Bacon, Carl. Practical Portfolio Performance Measurement and Attribution. Wiley. 2004. p. 6

### See Also

`Return.annualized`

### Examples

    data(managers)
    Return.cumulative(managers[,1,drop=FALSE])
    Return.cumulative(managers[,1:8])
    Return.cumulative(managers[,1:8],geometric=FALSE)

[Package PerformanceAnalytics version 1.5.3 Index]